@echo off

IF EXIST "__backup/JaiInit.aaf" (
  goto FAIL
)

:PACK
mkdir "./__backup"
mkdir "./__backup/Banks"
mkdir "./__backup/Seqs"
copy "./JaiInit.aaf" "./__backup/" > NUL
copy "./Banks" "./__backup/Banks" > NUL
copy "./Seqs" "./__backup/Seqs" > NUL 
echo Unpacking AAF....
echo "%CD%/Banks"
"%CD%/tool/jampacked.exe" unpack JaiInit.aaf Audio_Modding
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/0.wsy" "./Audio_Modding/WS0" -awpath "%CD%/Banks/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/1.wsy" "./Audio_Modding/WS1" -awpath "%CD%/Banks/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/2.wsy" "./Audio_Modding/WS2" -awpath "%CD%/Banks/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/3.wsy" "./Audio_Modding/WS3" -awpath "%CD%/Banks/"

echo Unpacking IBNK

"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/0.bnk" "./Audio_Modding/IBNK0"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/1.bnk" "./Audio_Modding/IBNK1"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/2.bnk" "./Audio_Modding/IBNK2"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/3.bnk" "./Audio_Modding/IBNK3"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/4.bnk" "./Audio_Modding/IBNK4"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/5.bnk" "./Audio_Modding/IBNK5"

echo Unpacking BST 
"%CD%/tool/bast" unpack "./Audio_Modding/include/0.bst" "./Audio_Modding/SoundTable"

echo Unpacking sequence BARC. 
"%CD%/tool/barctool.exe" unpack "./Audio_Modding/include/1.arc" "./Audio_Modding/Sequences" -arc "./Seqs/"


echo Done.
GOTO EOF

:FAIL
echo WARNING: You already have a backup. If you make a backup now, and have made any changes, this will corrupt the backup of your original game files.
echo Choose wisely.

echo Caution: For Super Mario Sunshine and for Luigi's Mansion, doing this without restoring the backup will likely corrupt your sequence arc. 

SET /P AREYOUSURE=No regrets, mister freeman: (Y/[N])
IF /I "%AREYOUSURE%" EQU "Y" GOTO PACK

:EOF
pause