@echo off

echo Rebuilding WSYS....
"%CD%/tool/wsystool.exe" pack "./Audio_modding/WS0" "./Audio_Modding/include/0.wsy
"%CD%/tool/wsystool.exe" pack "./Audio_modding/WS1" "./Audio_Modding/include/1.wsy"
"%CD%/tool/wsystool.exe" pack "./Audio_modding/WS2" "./Audio_Modding/include/2.wsy"
"%CD%/tool/wsystool.exe" pack "./Audio_modding/WS3" "./Audio_Modding/include/3.wsy"

echo Applying changes to banks....
copy "./Audio_Modding/include/aw_0.wsy" "./Banks" /Y  > NUL
copy "./Audio_Modding/include/aw_1.wsy" "./Banks" /Y  > NUL
copy "./Audio_Modding/include/aw_2.wsy" "./Banks" /Y  > NUL
copy "./Audio_Modding/include/aw_3.wsy" "./Banks" /Y  > NUL

echo Applying IBNK changes 

echo IBNK0
"%CD%/tool/ibnktool.exe" pack 0 "./Audio_Modding/IBNK0" "./Audio_Modding/include/0.bnk" 
echo IBNK1
"%CD%/tool/ibnktool.exe" pack 0 "./Audio_Modding/IBNK1" "./Audio_Modding/include/1.bnk" 
echo IBNK2 
"%CD%/tool/ibnktool.exe" pack 0 "./Audio_Modding/IBNK2" "./Audio_Modding/include/2.bnk" 
echo IBNK3
"%CD%/tool/ibnktool.exe" pack 0 "./Audio_Modding/IBNK3" "./Audio_Modding/include/3.bnk" 
echo IBNK4
"%CD%/tool/ibnktool.exe" pack 0 "./Audio_Modding/IBNK4" "./Audio_Modding/include/4.bnk" 
echo IBNK5
"%CD%/tool/ibnktool.exe" pack 0 "./Audio_Modding/IBNK5" "./Audio_Modding/include/5.bnk" 

echo Packing BST 
"%CD%/tool/bast.exe" pack "./Audio_Modding/SoundTable/" "./Audio_Modding/include/0.bst" "10110001020304FFFFFFFFFFFFFFFFFFFFFF"

echo Replacing sequences.... 
"%CD%/tool/barctool.exe" pack "./Audio_Modding/Sequences" "./Audio_Modding/include/1.arc" -arc "./Seqs"


echo Rebuilding AAF....
"%CD%/tool/jampacked.exe" pack "./Audio_Modding" "./JAIInit.aaf"
echo Done!
pause 